Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

Raspberry Pi / Countered errors and solutions (libGLESv2, EGL_FALS)

Author
Message
vennis73
4
Years of Service
User Offline
Joined: 12th Sep 2016
Location:
Posted: 30th May 2021 12:28
I just wanted to share the errors i ran into trying to get the editor (and compiled games) running.
I don't know much about Debian or Linux in general so feel free to correct me or explain things.

First of all you should probably do:
> sudo apt-get upgrade
> sudo apt-get update
> sudo rpi-update


Error about missing libGLESv2.so library:
> sudo apt-get install libgles2-mesa libsdl2-dev

After getting the rror
Error: "Core.cpp:222: int main(int, char**): Assertion `EGL_FALSE != result' failed."

I ran the following commands
> sudo apt-get dist-upgrade

After that it all ran nicely.

Jack
16
Years of Service
User Offline
Joined: 4th Oct 2004
Location: [Germany]
Posted: 20th Jun 2021 20:02
Well defined and on the point. A great ressource!

I would like to add the information that raspbian lite would cause multiple opengl errors, like mentioned above while raspbian full ran straight out of the box, just after:
> sudo apt-get upgrade
> sudo apt-get update
> sudo rpi-update


Login to post a reply

Server time is: 2021-08-02 14:32:48
Your offset time is: 2021-08-02 14:32:48